
QGIS Application - Bug report #984

PostGIS: dropping a column sometimes corrupts the table

2008-03-10 12:59 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11044

Description

1. Add a [[PostGIS]] layer.

2. Add 3 new columns to it, in QGIS table editor: col1, col2, col3.

3. Drop "col2".

4. All QGIS tools start claming that you have 2 "col3" columns. Of course that's not true. Re-add the layer or start digitizing it and all is fine

again.

Associated revisions

Revision 1ff7509b - 2008-03-12 10:02 PM - Jürgen Fischer

- applied patch from Steven Mizuno from #964. Nice work. Thank you very much.

  - better privilege handling (fixes #955)

  - better postgis i18n (unicode handling, identifier quotation)

  - password saving fixed

  - support for int8 type added

- let provider capabilities follow table privileges (fixes #976)

- use prepared statements for adding features (fixed #977)

- remove connection pooling (fixes cursor problem)

- clear attribute list on loadFields (fixes #984)

- ignore bytea fields

- handle transactions/error reporting better

- some cleanups

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8213 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2ea7615b - 2008-03-12 10:02 PM - Jürgen Fischer

- applied patch from Steven Mizuno from #964. Nice work. Thank you very much.

  - better privilege handling (fixes #955)

  - better postgis i18n (unicode handling, identifier quotation)

  - password saving fixed

  - support for int8 type added

- let provider capabilities follow table privileges (fixes #976)

- use prepared statements for adding features (fixed #977)

- remove connection pooling (fixes cursor problem)
- clear attribute list on loadFields (fixes #984)

- ignore bytea fields

- handle transactions/error reporting better

- some cleanups

git-svn-id: http://svn.osgeo.org/qgis/trunk@8213 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-12 02:07 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

#2 - 2008-03-20 04:55 AM - Jürgen Fischer

fixed in commit:2ea7615b (SVN r8214)

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
